Create Override
curl --request POST \
--url https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/access-overrides \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"attributes": {
"contact_id": "<string>",
"scope": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"product_id": "<string>",
"reason": "<string>"
},
"type": "access_overrides"
}
}
'import requests
url = "https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/access-overrides"
payload = { "data": {
"attributes": {
"contact_id": "<string>",
"scope": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"product_id": "<string>",
"reason": "<string>"
},
"type": "access_overrides"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
attributes: {
contact_id: '<string>',
scope: '<string>',
expires_at: '2023-11-07T05:31:56Z',
product_id: '<string>',
reason: '<string>'
},
type: 'access_overrides'
}
})
};
fetch('https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/access-overrides', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"attributes": {
"contact_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"granted_by": "<string>",
"hub_id": "<string>",
"product_id": "<string>",
"reason": "<string>",
"scope": "<string>",
"team_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
},
"id": "<string>",
"type": "access_overrides"
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}access-overrides-admin
Create Override
Create an admin access override for a contact.
NOTE: require_team_owner returns the Team ORM row (not a JWT). The admin user ID comes from get_current_user[“sub”] (CX-3).
POST
/
api
/
v1
/
teams
/
{team_id}
/
hubs
/
{hub_id}
/
access-overrides
Create Override
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/vnd.api+json
Show child attributes
Show child attributes
Response
Successful Response
Show child attributes
Show child attributes
⌘I